/*!
 * @file TrapBase.h
 * @brief ゲーム中のトラップベースのプロトタイプ
 * @date 2014/02/01
 * @author Deskull
 * 2014 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

/*!
 * @class TrapBase
 * @brief トラップベースのクラス
 */
class TrapBase : public GameElement
{

private:

public:


	/*! 
	 * @brief TrapBaseクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	TrapBase::TrapBase(ID id, TAG tag, GameWorld *gameWorld);

	TrapBase::TrapBase(void);

	TrapBase::~TrapBase(void);

};
